<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package atlas
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>    
    <body <?php body_class(); ?>>        
        <div id="container">         
            <header class="clearfix"> 
                <nav class="navbar navbar-default navbar-fixed-top" role="navigation"> 
                    <div class="top-line"> 
                        <div class="container"> 
                            <div class="row"> 
                                <div class="col-md-6"> 
                                    <p> <span><?php echo get_theme_mod( 'top_section_phone', '<i class="fa fa-phone"></i>( 000 ) 000-00-00' ); ?></span><span><?php echo get_theme_mod( 'top_section_mail', '<i class="fa fa-envelope-o"></i>info@domain.com' ); ?></span> <span><?php echo get_theme_mod( 'top_section_map', '<i class="fa fa-map-marker"></i>Konum' ); ?></span> </p> 
                                </div>                                 
                                <div class="col-md-6"> 
                                    <ul class="social-icons"> 
                                        <li>
                                            <a class="facebook" href="<?php echo get_theme_mod( 'top_section_facebook_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-facebook"></i></a>
                                        </li>                                         
                                        <li>
                                            <a class="twitter" href="<?php echo get_theme_mod( 'top_section_twitter_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-twitter"></i></a>
                                        </li>                                         
                                        <li>
                                            <a class="rss" href="<?php echo get_theme_mod( 'top_section_ınstagram_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-instagram"></i></a>
                                        </li>                                         
                                        <li>
                                            <a class="google" href="<?php echo get_theme_mod( 'top_section_youtube_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-youtube-play"></i></a>
                                        </li>                                         
                                        <li>
                                            <a class="linkedin" href="<?php echo get_theme_mod( 'top_section_linkedin_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-linkedin"></i></a>
                                        </li>                                         
                                        <li>
                                            <a class="pinterest" href="<?php echo get_theme_mod( 'top_section_google_url', __( '#', 'atlas' ) ); ?>"><i class="fa fa-google"></i></a>
                                        </li>                                         
                                    </ul>                                     
                                </div>                                 
                            </div>                             
                        </div>                         
                    </div>                     
                    <div class="container"> 
                     
                        <div class="navbar-header"> 
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"> 
                                <span class="sr-only"><?php _e( 'Toggle navigation', 'atlas' ); ?></span> 
                                <span class="icon-bar"></span> 
                                <span class="icon-bar"></span> 
                                <span class="icon-bar"></span> 
                            </button>                             
                           
				<div class="site-branding">			
						<?php
			the_custom_logo();
			if ( is_front_page() && is_home() ) : ?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<?php else : ?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
			<?php
			endif;

			$description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
			<?php
			endif; ?>                          
              </div>		
                        </div>                         
                      
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                            <?php wp_nav_menu( array(
                                    'menu' => 'Primary',
                                    'menu_class' => 'nav navbar-nav navbar-right',
                                    'container' => '',
                                    'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                                    'walker' => new wp_bootstrap_navwalker()
                            ) ); ?> 
                        </div>                      
                    </div>                 
                </nav>                 
            </header>   